%define lversion 0.4.0
%define sversion 0.4.0
%define pversion 1.1.1
%global momorel 17

Summary: Sound modules for WindowMaker

Name: wmakersound
Version: %{sversion}
Release: %{momorel}m
%define libdock libdockapp-%{lversion}
Source: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%{libdock}.tar.bz2
%define wmsound WSoundServer-%{sversion}
Source1: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%{wmsound}.tar.bz2
%define wsprefs WSoundPrefs-%{pversion}
Source2: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/%{wsprefs}.tar.bz2
Source3: ftp://shadowmere.student.utwente.nl/pub/WindowMaker/wmsdefault.tar.gz
Source4: WMSound
Source5: appstart.wav
Source6: appexit.wav
Patch: wmakersound-nompeg.patch
Patch1: wmakersound-WM0651.patch
Patch2: wmakersound-xmkmf.patch
License: GPL and OPL
Group: User Interface/Desktops
Requires: WindowMaker >= 0.70.0, audiofile >= 0.2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: WindowMaker, libpng-devel >= 1.2.2

%description
Sound modules for WindowMaker:
        libdockapp-%{lversion}
	WSoundPrefs-%{pversion}
	WSoundServer-%{sversion}
        wmsdefault (default sound set)

%prep
rm -rf %{buildroot}
%setup -q -a 1 -a 2 -a 3 -c -n wmakersound
%patch -p1
%patch1 -p1
%patch2 -p1

%build
# make libdockapp
(cd %{libdock}
autoconf
./configure --prefix=/usr
%make
)

# make WSoundServer
(cd %{wmsound}
autoconf
./configure --prefix=/usr \
	--with-libs-from="-L${RPM_BUILD_DIR}/%{name}/%{libdock}/src/.libs/" \
	--with-incs-from="-I${RPM_BUILD_DIR}/%{name}/%{libdock}/src/"
%make
)

# make WSoundPrefs
(cd %{wsprefs}
xmkmf -a
PATH=$PATH:${RPM_BUILD_DIR}/%{name}/%{wmsound}/wslib
make PREFIX=/usr/X11R6/lib \
	EXTRA_DEFINES="-DI18N -DHAVE_LIBINTL_H" \
	EXTRA_INCLUDES=-I${RPM_BUILD_DIR}/%{name}/%{wmsound}/wslib \
	USRLIBDIR=${RPM_BUILD_DIR}/%{name}/%{wmsound}/wslib/.libs/
%make
)

%install
# Install libdockapp
(cd %{libdock}
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/include
make DESTDIR=%{buildroot} mandir=%{_mandir} install
)

# Install WSoundPrefs
(cd %{wsprefs}
make install PREFIX=%{buildroot}/usr/X11R6/lib/GNUstep mandir=%{_mandir}
)
# Install wmsound
(cd %{wmsound}
make prefix=%{buildroot}/usr mandir=%{buildroot}/%{_mandir} install
)
# Install default sounds
mkdir -p %{buildroot}/usr/share/WindowMaker 
tar xzvf $RPM_SOURCE_DIR/wmsdefault.tar.gz -C %{buildroot}/usr/share/WindowMaker 
cp %SOURCE5 %{buildroot}/usr/share/WindowMaker/Sounds
cp %SOURCE6 %{buildroot}/usr/share/WindowMaker/Sounds

# install configurations
mkdir -p %{buildroot}/usr/share/WindowMaker/{Sounds,SoundSets}

mkdir -p %{buildroot}/etc/X11/WindowMaker
install -m 644 %{_sourcedir}/WMSound %{buildroot}/etc/X11/WindowMaker

# prepare documents
mkdir -p doc/%{libdock}
cp %{libdock}/{AUTHORS,ChangeLog,COPYING*,INSTALL,README} doc/%{libdock}
mkdir -p doc/%{wsprefs}
cp %{wsprefs}/{AUTHORS,ChangeLog,COPYING*,INSTALL} doc/%{wsprefs}
mkdir -p doc/%{wmsound}
cp %{wmsound}/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README} doc/%{wmsound}
mv %{wmsound}/doc doc/%{wmsound}

# no more /usr/man
# mv %{buildroot}/usr/man %{buildroot}/usr/share

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%config /etc/X11/WindowMaker/WMSound
/usr/X11R6/lib/GNUstep/Apps/WSoundPrefs.app/
/usr/share/WindowMaker/Sounds/
/usr/share/WindowMaker/SoundSets/
/usr/lib/lib*
/usr/include/dockapp.h
/usr/bin/get-wsound-flags
/usr/bin/wsoundserver
/usr/bin/wsoundplay
/usr/bin/getsoundset
/usr/bin/setsoundset
/usr/include/wsound.h
%{_mandir}/man1/getsoundset.1x*
%{_mandir}/man1/setsoundset.1x*
%{_mandir}/man1/wsoundplay.1x*
%{_mandir}/man1/wsoundserver.1x*
%{_mandir}/man1/get-wsound-flags.1x*

%changelog
* Sun Mar 28 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.0-17m)
- revised spec for rpm 4.2.

* Wed Oct 29 2003 zunda <zunda at freeshell.org>
- (0.4.0-16m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft): where did OPL come from?

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.4.0-15m)
- invoke autoconf to ignore gcc3.X warnings

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.4.0-14k)
- rebuild against libpng 1.2.2.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (0.4.0-12k)
- rebuild against libpng 1.2.0.

* Mon Oct  8 2001 Toru Hoshina <t@kondara.org>
- (0.4.0-10k)
- rebuild against Window Maker 0.70.0.

* Tue Aug 28 2001 Toru Hoshina <t@kondara.org>
- (0.4.0-8k)
- rebuild against Window Maker 0.65.1.

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.4.0-7k)
- rebuild against audiofile-0.2.1.

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4.0-5k)
- modified spec file for compatibility

* Thu Nov 23 2000 Toru Hoshina <toru@df-usa.com>
- ...

* Tue Oct 17 2000 Katsuhiko Hirohashi <hasiyan@mars.dti.ne.jp>
- packaged to be used with WindowMaker
